uk.gov.hmrc.payeestimator.services

# TaxablePayCalculator

###
Related Doc: package services

#### case class TaxablePayCalculator(taxCode: String, grossPay: Money, taxCalcResource: TaxCalcResource) extends Calculator with TaxCalculatorHelper with Product with Serializable

Linear Supertypes
Serializable, Serializable, Product, Equals, TaxCalculatorHelper, Calculator, AnyRef, Any
Ordering

1. Alphabetic
2. By Inheritance

Inherited

1. TaxablePayCalculator
2. Serializable
3. Serializable
4. Product
5. Equals
6. TaxCalculatorHelper
7. Calculator
8. AnyRef
9. Any

1. Hide All
2. Show All

Visibility

1. Public
2. All

### Instance Constructors

1. #### new TaxablePayCalculator(taxCode: String, grossPay: Money, taxCalcResource: TaxCalcResource)

### Value Members

1. #### final def !=(arg0: Any): Boolean

   Definition Classes
     AnyRef → Any

2. #### final def ##(): Int

   Definition Classes
     AnyRef → Any

3. #### final def ==(arg0: Any): Boolean

   Definition Classes
     AnyRef → Any

4. #### def applyResponse(success: Boolean, taxablePay: Money, isTapered: Boolean, additionalTaxablePay: Money): TaxablePayResponse

5. #### final def asInstanceOf[T0]: T0

   Definition Classes
     Any

6. #### def calculate(): TaxablePayResponse

   Definition Classes
     TaxablePayCalculator → Calculator

7. #### def clone(): AnyRef

   Attributes
     protected[java.lang]
   Definition Classes
     AnyRef
   Annotations
     @throws( ... )

8. #### final def eq(arg0: AnyRef): Boolean

   Definition Classes
     AnyRef

9. #### def finalize(): Unit

   Attributes
     protected[java.lang]
   Definition Classes
     AnyRef
   Annotations
     @throws( classOf[java.lang.Throwable] )

10. #### final def getClass(): Class[_]

    Definition Classes
      AnyRef → Any

11. #### val grossPay: Money

12. #### def isAdjustedTaxCode(taxCode: String): Boolean

    Definition Classes
      TaxCalculatorHelper

13. #### def isAnnual(payPeriod: String): Boolean

    Attributes
      protected
    Definition Classes
      Calculator

14. #### def isBasicRateTaxCode(taxCode: String, isScottish: Boolean = false): Boolean

    Definition Classes
      TaxCalculatorHelper

15. #### def isEmergencyTaxCode(taxCode: String, taxCalcResource: TaxCalcResource): Boolean

    Definition Classes
      TaxCalculatorHelper

16. #### final def isInstanceOf[T0]: Boolean

    Definition Classes
      Any

17. #### def isStandardTaxCode(taxCode: String): Boolean

    Definition Classes
      TaxCalculatorHelper

18. #### def isTaxableCode(taxCode: String, isScottish: Boolean = false): Boolean

    Definition Classes
      TaxCalculatorHelper

19. #### def isUnTaxedIncomeTaxCode(taxCode: String): Boolean

    Definition Classes
      TaxCalculatorHelper

20. #### def isValidScottishTaxCode(taxCode: String): Boolean

    Definition Classes
      TaxCalculatorHelper

21. #### def isValidTaxCode(taxCode: String, taxCalcResource: TaxCalcResource): Boolean

    Definition Classes
      TaxCalculatorHelper

22. #### final def ne(arg0: AnyRef): Boolean

    Definition Classes
      AnyRef

23. #### final def notify(): Unit

    Definition Classes
      AnyRef

24. #### final def notifyAll(): Unit

    Definition Classes
      AnyRef

25. #### def rateLimit(limitType: String): PartialFunction[RateLimit, Money]

    Definition Classes
      TaxCalculatorHelper

26. #### def removeCountryElementFromTaxCode(taxCode: String): String

    Definition Classes
      TaxCalculatorHelper

27. #### def splitTaxCode(taxCode: String): String

    Definition Classes
      TaxCalculatorHelper

28. #### final def synchronized[T0](arg0: ⇒ T0): T0

    Definition Classes
      AnyRef

29. #### val taxCalcResource: TaxCalcResource

30. #### val taxCode: String

31. #### final def wait(): Unit

    Definition Classes
      AnyRef
    Annotations
      @throws( ... )

32. #### final def wait(arg0: Long, arg1: Int): Unit

    Definition Classes
      AnyRef
    Annotations
      @throws( ... )

33. #### final def wait(arg0: Long): Unit

    Definition Classes
      AnyRef
    Annotations
      @throws( ... )

### Inherited from Serializable

### Inherited from Product

### Inherited from Equals

### Inherited from TaxCalculatorHelper

### Inherited from Calculator

### Inherited from AnyRef

### Inherited from Any

### Ungrouped